Bug 40624 - Adjust preup.sh / postup.sh for UCS 4.1-1
Adjust preup.sh / postup.sh for UCS 4.1-1
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - Release updates
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-1
Assigned To: Felix Botner
Stefan Gohmann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 10:16 CET by Stefan Gohmann
Modified: 2016-02-16 16:49 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2016-02-10 10:16:37 CET
pre- and postup.sh should be adjusted for UCS 4.1-1
Comment 1 Felix Botner univentionstaff 2016-02-12 11:10:22 CET
* changed 4.1-0 to 4.1-1
* removed saml/postgres check/installation from postup
* disable 4.1-0-errata in postup
* enable 4.1-1-errata in postup
* removed check_for_postgresql84 from preup


Package: univention-updater
Version: 11.0.9-1.1444.201602121103
User: fbotner
Branch: ucs_4.1-0
Scope: ucs4.1-1

changelog/changelog-4.1-1.xml
r67392
Comment 2 Stefan Gohmann univentionstaff 2016-02-13 21:11:32 CET
Code review: Failed

Please change the comment for the component to 4.1-1:

repository/online/component/4.1-1-errata/description="Errata updates for UCS 4.1-0"

Tests: OK

Changelog: OK
Comment 3 Felix Botner univentionstaff 2016-02-15 11:01:07 CET
fixed

Package: univention-updater
Version: 11.0.9-2.1445.201602151056
User: fbotner
Branch: ucs_4.1-0
Scope: ucs4.1-1
Comment 4 Stefan Gohmann univentionstaff 2016-02-15 14:38:00 CET
(In reply to Felix Botner from comment #3)
> fixed
> 
> Package: univention-updater
> Version: 11.0.9-2.1445.201602151056
> User: fbotner
> Branch: ucs_4.1-0
> Scope: ucs4.1-1

OK, verified.
Comment 5 Stefan Gohmann univentionstaff 2016-02-16 16:49:44 CET
UCS 4.1-1 has been released:
 https://docs.software-univention.de/release-notes-4.1-1-en.html
 https://docs.software-univention.de/release-notes-4.1-1-de.html

If this error occurs again, please use "Clone This Bug".